: Class CommandInfo

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Class CommandInfo

    java.lang.Object
      |
      +--javax.activation.CommandInfo

public class CommandInfo
extends java.lang.Object

Describes a command.

Version:
  $Revision: 1.4 $
Author:
  Andrew Selkirk: aselkirk@mailandnews.com, Nic Ferrier: nferrier@tapsellferrier.co.uk

Constructor Summary
`CommandInfo(java.lang.String verb, java.lang.String className)` Create the command information

Method Summary
`java.lang.String` | `getCommandClass()` Get the class of the command.
`java.lang.String` | `getCommandName()` Get the command's name.
`java.lang.Object` | `getCommandObject(DataHandler handler, java.lang.ClassLoader loader)` Instantiate the command object.
`java.lang.String` | `toString()` Get string representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandInfo

    public CommandInfo(java.lang.String verb,
                       java.lang.String className)

  Create the command information
  Parameters:
    `verb` - Command verb
    `className` - Command class name

Method Detail

### toString

    public java.lang.String toString()

  Get string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the command name
  See Also:
    `which this method uses`

### getCommandClass

    public java.lang.String getCommandClass()

  Get the class of the command.
  Returns:
    Command class

### getCommandName

    public java.lang.String getCommandName()

  Get the command's name.
  Returns:
    Command name

### getCommandObject

    public java.lang.Object getCommandObject(DataHandler handler,
                                             java.lang.ClassLoader loader)
                                      throws java.io.IOException,
                                             java.lang.ClassNotFoundException

  Instantiate the command object.
  Parameters:
    `handler` - Data handler
    `loader` - Class loader to use
  Returns:
    Command object
  Throws:
    `java.io.IOException` - IO exception occurred
    `java.lang.ClassNotFoundException` - Class not found

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2002 the Free Software Foundation, all rights reserved.